%define ver 1.7

Summary:	A Tk widget for OpenGL rendering.
Name:		togl1.7
Version:	%{ver}
Release:	1
License:	LGPL
Group:		Applications/Library
Source:		Togl-%{ver}.tar.bz2
URL:		http://togl.sourceforge.net/
BuildRoot:	/var/tmp/%{name}-%{version}-root-%(id -u -n)
BuildArch:	i386 i486 i586 i686 x86_64
Requires:	tcl, tk
BuildRequires:  tcl-devel, tk-devel
Prefix:		/usr

%description
Togl was originally based on OGLTK, written by Benjamin Bederson at the University of New Mexico. Togl's main features are:

   * unifies Microsoft Windows, X11 (Linux/IRIX/...), and Mac OS X Aqua support
   * support for requesting stencil, accumulation, alpha buffers, etc.
   * multiple OpenGL drawing windows
   * simple stereo rendering support
   * simple, portable font support
   * color-index mode support including color allocation functions
   * overlay plane support
   * OpenGL extension testing from Tcl
   * Tcl Extension Architecture (TEA) 3 compliant 

Togl does almost no OpenGL drawing itself, instead it manages OpenGL drawing by calling various Tcl commands (a.k.a., callback functions). Those commands can be C functions that call OpenGL (in)directly or another Tcl package (e.g., Tcl3D).

%prep
%setup -q -n Togl-%{ver}

%build
./configure --with-tcl=%{_libdir}/tclConfig.sh --with-tk=%{_libdir}/tkConfig.sh
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

#%ifarch x86_64
if ! test "%{_libdir}" = "/usr/lib"; then
    mkdir -p $RPM_BUILD_ROOT/%{_libdir}
    ln -s ../lib/Togl1.7 $RPM_BUILD_ROOT/%{_libdir}/.
fi
#%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE
/*

%changelog

* Sat Apr 25 2009 Zhang Linbo <zlb@lsec.cc.ac.cn>
  . created RPM package
